Bug 1011415 - Enable sysroot support
Enable sysroot support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cross-gcc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Howells
Fedora Extras Quality Assurance
:
Depends On: 1011412
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 04:49 EDT by Marcin Juszkiewicz
Modified: 2014-06-17 09:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: cross-gcc-4.8.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-17 09:29:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec patch (346 bytes, patch)
2013-09-24 04:49 EDT, Marcin Juszkiewicz
no flags Details | Diff

  None (edit)
Description Marcin Juszkiewicz 2013-09-24 04:49:41 EDT
Created attachment 802102 [details]
spec patch

Description of problem:

I am aware that cross-{binutils,gcc} are limited to be useful only for bootloader/kernel compilation as there is no userspace support in packages.

But they can also be used for userspace compilation when sysroot with libraries/headers is created.

Version-Release number of selected component (if applicable):

4.8.1-5.1

How reproducible:

always

Steps to Reproduce:
1. grab aarch64 system image
2. populate it with glibc-devel
3. mount at /mnt
4. aarch64-linux-gnu-gcc helloworld.c --sysroot /mnt -o hello-aarch64

Actual results:

"linker is not configured for sysroots"

Expected results:

links and gives proper binary

Additional info:

https://bugzilla.redhat.com/show_bug.cgi?id=1011412 was reported for cross-binutils.
Comment 1 David Howells 2014-03-28 05:24:37 EDT
+	--with-sysroot=/ \

This does not work correctly.  It mixes stuff from /usr/include (specifically gnu/stubs.h) into the foreign libgccs.

Also, this doesn't build on Fedora arm rawhide as this results in trying to access a non-existent file.
Comment 2 David Howells 2014-03-31 06:00:47 EDT
This should be dealt with in cross-gcc-4.8.2-2, which should be hitting updates-testing shortly.  Note that the default sysroot is /usr/<arch>/sys-root/ rather than / as the latter causes problems when compiling libgcc.

Note You need to log in before you can comment on or make changes to this bug.